DEMANGLE(1)

NAME
demangle - Fortryd C++ navnebehandling af symboler

SYNOPSIS

demangle

BESKRIVELSE

demangle læser en liste med C++ behandlede symbolnavne fra standardindtastningen og konverterer navnene til menneskelig læsbar form på standardudskriften.

Værktøjet er en del af KDE's programmeludviklingsmiljø.

EKSEMPEL

Opret en fil som hedder navn og indeholder følgende behandlede symbolnavne:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Behandlingen af navnene kan derefter fjernes som følger:

    eksempel$ demangle < navne Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

SE OGSå

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.